Message Image  

IBM MQ

Expand all | Collapse all

MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

  • 1.  MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Mon January 13, 2020 12:48 PM
    Edited by Wayne Myers Mon January 13, 2020 01:57 PM
    Hi,

    ​We are upgrading all of our Windows Servers to WIN2019 to provide currency, and MQ Client V9.x LTS is not supported. The highest Windows Server MQ LTS supports is WIN2016.

    When just testing V9.1.0.2 will install cleanly, but FixPack3 & Fixpack4 experience "InstallAnywhere Flexeraaw2$aaa: Windows DLL failed to load" errors when attempting to install them on a WIN2019 server.

    It is odd that the V9.x CD product supports WIN2019 while the LTS version seems to have been forsaken. MQ V9.x has been out for quite a while, which does not explain why the LTS version still lacks this support. WIN2019 went GA back on October 2, 2018.

    Are there any plans to provide comparable WIN2019 support for MQ Clients V9.x or is the direction to keep LTS customers on WIN2016 or have them search for MQ alternatives?


    Regards,
    Wayne
    ------------------------------
    Wayne Myers
    ------------------------------


  • 2.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Mon January 13, 2020 11:17 PM
    To get an answer to your last question will require an IBMer to answer.

    I wonder if you could expand on the reasons for not using the V9.1.x CD releases of the MQ Client given that it does support WIN2019? You are, I hope, aware that the MQ Client does not have to match the version of MQ Queue Manager it is connecting to?

    Cheers,
    Morag

    ------------------------------
    Morag Hughson
    MQ Technical Education Specialist
    MQGem Software Limited
    ------------------------------



  • 3.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Tue January 14, 2020 10:27 AM
    Hi Morag,

    Wow, what a treat. Nothing but the best here! :-)

    Yes, I am aware that MQ Client releases can be different from the target Queue Managers, as we are running V9.x QMs and have Clients that are V8.x and V9.x connecting to them.

    Due to our line of business, we chose LTS because it was professed to be the most stable--applying fixpacks and maintenance as needed. This retains similar application and fixpack removal processes as prior MQ releases. We have a requirement to address vulnerabilities when they are packaged in the next fixpack and need a quick method to apply and backout those fixpacks with minimal invasiveness.

    The CD version can introduce new features along the way, which is something we do not want introduced when just requiring the application of patches. The backout of the CD appears to be more involved, if there are problems encountered along the way. All new CD features are automatically enabled on a CD release installation. There also is no fallback when switching from an LTS installation to a CD installation.

    References cited:
    https://developer.ibm.com/answers/questions/365216/whats-the-difference-between-mq-v9-long-term-suppo/
    https://www.ibm.com/support/pages/ibm-mq-faq-long-term-support-and-continuous-delivery-releases
    https://www.ibm.com/support/knowledgecenter/SSFKSJ_9.1.0/com.ibm.mq.pro.doc/q128130_.htm

    Regards,
    Wayne​

    ------------------------------
    Wayne Myers
    ------------------------------



  • 4.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Tue January 14, 2020 04:40 PM
    Hi Wayne,

    this is not an official IBM answer, but I asked a similar question related to an upgrade at a customer site recently. 

    The answer I received basically came down to the following...

    Support for a new OS (Windows 2019) is considered a new feature. New features are not released after the LTS base release. Only problem fixes are delivered in the LTS stream until the next LTS is available (approx every 2 years).

    New features are available continuously in the CD stream however, so if you need Windows 2019 support it is available there.

    Also, it should be noted that CD releases are fully supported, and ifix support is available for 12 months after each release, not just until the next CD release.

    Given that MQ v9.1 was released in mid 2018, it is reasonable to expect an LTS release supporting Windows 2019 in the middle of 2020, or you can use the latest CD now, and you should have 6 months or so to transition from that CD release to an LTS release that supports Windows 2019 before support on the CD release ends.

    Regards,

    Neil


    -- 
    Neil Casey 
    Senior Consultant | Syntegrity Solutions

    Syntegrity Solutions Pty Ltd | Level 17 | 570 Bourke St | Melbourne | VIC 3000
    Analyse  >>  Integrate  >>  Secure  >>  Educate

    CKA: Certified Kubernetes Administrator
    IBM Cloud Private - Foundation TechnologyIBM Cloud Private Infrastructure and Architecture
    IBM Cloud Private Installation and Configuration





  • 5.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Tue January 14, 2020 05:40 PM
    Edited by Wayne Myers Tue January 14, 2020 06:13 PM
    Hi Neil,

    Thanks for the response and insight as to your experiences.

    That does not seem to explain the following anomaly, regarding LTS maintenance -

    Both the V9.0.0.x & V9.01.0.x "New & What's Changed" state the following:

    "Long Term Support releases do not deliver new functional enhancements. These releases are intended for systems that demand maximum stability over a long term deployment period."

    https://www.ibm.com/support/knowledgecenter/SSFKSJ_9.0.0/com.ibm.mq.pro.doc/q128130_.htm
    https://www.ibm.com/support/knowledgecenter/SSFKSJ_9.1.0/com.ibm.mq.pro.doc/q128130_.htm

    MQ V9.0.0 LTS base only supported up to WIN2012 Server. WIN2016 support was then added in FixPack2 (9.0.0.2). So there is precedent that fixpacks for LTS provide additions to what Windows servers are supported, especially since Windows and IBM have a business relationship.

    What is also odd is that we were able to install and apply V9.1.0 LTS base and then install FixPack2 on two WIN2019 servers, but the FixPack3 & FixPack4 installers are broken. It seems like something changed with the way the installers are built, that they no longer tolerate WIN2019.

    There does not seem to be easy migrations to LTS once CD is installed, per the FAQs. So, as a larger business customer, we have a separate server team under mandate to upgrade Windows servers, and the MQ team is under similar stability requirement mandates.  Yet now, either one or the other has to bend this mandate because WIN2019 LTS support seemed to have fallen through the cracks.

    Regards,
    Wayne

    ------------------------------
    Wayne Myers
    ------------------------------



  • 6.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Tue January 14, 2020 06:00 PM
    Hi Wayne,

    I was also surprised that IBM considered support for Windows 2019 to be a new feature, and therefore not available in a fix pack, but perhaps there were sufficient issues caused by OS changes that they didn't feel that issuing it as a fix was appropriate. 

    As end users, we are not privy to how code internals might be affected by OS changes.

    I haven't seen any particular difficulties with migration from CD to subsequent LTS release. Just install the new software in parallel and use the tools to switch the queue manager to using the new software.

    The only significant issue in my experience is that there is no backward path except using a full restore which will lose messaging state.

    Regards,

    Neil


    -- 
    Neil Casey 
    Senior Consultant | Syntegrity Solutions

    Syntegrity Solutions Pty Ltd | Level 17 | 570 Bourke St | Melbourne | VIC 3000
    Analyse  >>  Integrate  >>  Secure  >>  Educate

    CKA: Certified Kubernetes Administrator
    IBM Cloud Private - Foundation TechnologyIBM Cloud Private Infrastructure and Architecture
    IBM Cloud Private Installation and Configuration





  • 7.  RE: MQClient V9.x LTS Is Not Supported on WIN 2019 Servers, but V9.x CD Is Supported

    Posted Wed January 15, 2020 05:39 AM
    Hi Wayne,
    We make Operating System support updates in both LTS & CD releases. For example, in the last few months we have added RHEL 8, SLES 15 and Ubuntu 18.04 (late, I know...) to MQ 9.1 LTS. Windows Server 2019 is on the list, but as you have discovered the fixpack installer needs updating to support the platform, which we are looking at.

    When updating OS support we generally start at the latest release of MQ (currently MQ 9.1 CD) and work backwards through MQ 9.1 LTS, MQ 9.0 LTS etc. If we did it the other way round of 9.0 then 9.1 etc then it could mean we block someone from migrating forward to a newer release of MQ until the OS support is in the newer release.

    Often new OS support requires some product tweaks, particularly around the installers. CD releases are easier than LTS because no fixpack installer is required. Any product changes need to line up with when we are shipping fixpacks, which means getting the support out across the supported releases of MQ can take a few months depending on fixpack scheduling.

    Hope that helps. If you are on the MQ beta program I can share a bit more information on the roadmap, just let me know.

    Regards,
    Ian Harwood
    Senior Project Manager
    IBM Messaging

    ------------------------------
    Ian Harwood
    ------------------------------